\documentclass[tikz]{standalone}
\input{./header.tex}

\begin{document}
\begin{tikzpicture}
  \node[inner sep=0] (matrix) at (0, 0) {
    \begin{tikzpicture}
      % Row stripes
      \filldraw[draw = black, fill = c1, opacity = 1] (0, 0) rectangle (4em, 10em);

      \filldraw[draw = black, fill = c2, opacity = 1] (4em, 0) rectangle (6em, 10em);

      \filldraw[draw = black, fill = c3, opacity = 1] (6em, 0) rectangle (12em, 10em);

      % Column stripes
      \filldraw[draw = black, fill = c4, opacity = 0.4] (0, 0) rectangle (12em, 4em);

      \filldraw[draw = black, fill = c5, opacity = 0.4] (0, 4em) rectangle (12em, 8em);

      \filldraw[draw = black, fill = c6, opacity = 0.4] (0, 8em) rectangle (12em, 10em);
    \end{tikzpicture}
  };

  % Column stripes
  \draw
    let \p1 = (matrix.north west)
    in  node (colStripe1) at ($(\x1 + 2em, \y1 + 1em)$) {$4$};
    ;
  \draw
    let \p1 = (matrix.north west)
    in  node (colStripe2) at ($(\x1 + 5em, \y1 + 1em)$) {$2$};
    ;
  \draw
    let \p1 = (matrix.north west)
    in  node (colStripe3) at ($(\x1 + 9em, \y1 + 1em)$) {$6$};
    ;
  \draw
    let \p1 = (matrix.north)
    in  node (colStripeL) at ($(\x1, \y1 + 3em)$) {\texttt{colStripes}};
    ;
  
  % Row stripes
  \draw
    let \p1 = (matrix.south west)
    in  node (rowStripe1) at ($(\x1 + -2em, \y1 + 2em)$) {$4$};
    ;
  \draw
    let \p1 = (matrix.south west)
    in  node (colStripe2) at ($(\x1 + -2em, \y1 + 6em)$) {$4$};
    ;
  \draw
    let \p1 = (matrix.south west)
    in  node (colStripe3) at ($(\x1 + -2em, \y1 + 9em)$) {$2$};
    ;
  \draw
    let \p1 = (matrix.west)
    in  node (colStripeL) at ($(\x1 -3.5em, \y1)$) {\rotatebox[origin=c]{90}{\texttt{rowStripes}}};
    ;


  \node (leftparentheses) [left = 0em of matrix] {$\left( \vphantom{\rule{0em}{6.5em}} \right.$};
  \node (rightparentheses) [right = 0em of matrix] {$\left. \vphantom{\rule{0em}{6.5em}} \right)$};
\end{tikzpicture}
\end{document}

